Bug 1988127 - driver-toolkit gcc install unable to download extract-vmlinux script in ART builds
Summary: driver-toolkit gcc install unable to download extract-vmlinux script in ART b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Special Resource Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.z
Assignee: dagray
QA Contact: Walid A.
URL:
Whiteboard:
Depends On: 1985545
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-29 20:03 UTC by OpenShift BugZilla Robot
Modified: 2021-08-25 13:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-25 13:49:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 57 0 None None None 2021-08-06 00:46:01 UTC
Red Hat Product Errata RHBA-2021:3197 0 None None None 2021-08-25 13:49:34 UTC

Comment 2 Yaakov Selkowitz 2021-08-04 22:03:03 UTC
https://github.com/openshift/driver-toolkit/pull/57

Comment 4 Walid A. 2021-08-09 17:36:57 UTC
driver-toolkit image from:  https://openshift-release-artifacts.apps.ci.l2s4.p1.openshiftapps.com/4.6.0-0.nightly-2021-08-09-092758/release.txt

  driver-toolkit    quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2a3b1abccfff5b9a107491bd5341c51714f327605df92e3b412dfe742775457e

gcc version on container is correct:  8.3.1

# podman pull --authfile=<pull_secret.json> quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2a3b1abccfff5b9a107491bd5341c51714f327605df92e3b412dfe742775457e
Trying to pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2a3b1abccfff5b9a107491bd5341c51714f327605df92e3b412dfe742775457e...
Getting image source signatures
Copying blob 91ad410622aa done  
Copying blob 7b463785708f done  
Copying blob 601c93dac5a9 done  
Copying blob 96cfa9d6b818 done  
Copying blob 9d83313d6f3b done  
Copying config 63914fc3a4 done  
Writing manifest to image destination
Storing signatures
63914fc3a42776d5405c281377d82ff18b9550cb383517f5c4bb80e77b81da13

# podman images | grep 63914fc3a427
quay.io/openshift-release-dev/ocp-v4.0-art-dev        <none>                            63914fc3a427  2 days ago     1.22 GB

# podman run -it 63914fc3a427 /bin/bash
[root@b980969cfdc9 kmods-via-containers]# 
[root@b980969cfdc9 kmods-via-containers]# uname -a
Linux b980969cfdc9 4.18.0-193.el8.x86_64 #1 SMP Fri Mar 27 14:35:58 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
[root@b980969cfdc9 kmods-via-containers]# 
[root@b980969cfdc9 kmods-via-containers]# export INSTALLED_KERNEL=$(rpm -q --qf "%{VERSION}-%{RELEASE}.%{ARCH}"  kernel-core) && GCC_VERSION=$(cat /lib/modules/${INSTALLED_KERNEL}/config | grep -Eo "Compiler: gcc \(GCC\) ([0-9\.]+)" | grep -Eo "([0-9\.]+)")
[root@b980969cfdc9 kmods-via-containers]# 
[root@b980969cfdc9 kmods-via-containers]# echo $INSTALLED_KERNEL
4.18.0-193.60.2.el8_2.x86_64
[root@b980969cfdc9 kmods-via-containers]# 
[root@b980969cfdc9 kmods-via-containers]# echo $GCC_VERSION
8.3.1
[root@b980969cfdc9 kmods-via-containers]# 
[root@b980969cfdc9 kmods-via-containers]# dnf list installed | grep gcc
gcc.x86_64                                    8.3.1-5.el8                          @rhel-8-appstream-rpms-x86_64
libgcc.x86_64                                 8.3.1-5.el8                          @System                      
[root@b980969cfdc9 kmods-via-containers]#

Comment 7 errata-xmlrpc 2021-08-25 13:49:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.43 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3197


Note You need to log in before you can comment on or make changes to this bug.